%global srcname pkginfo
%global common_description %{expand:
This package provides an API for querying the distutils metadata written in the PKG-INFO file
inside a source distribution (an sdist) or a binary distribution (e.g., created by running
bdist_egg). It can also query the EGG-INFO directory of an installed distribution, and
the *.egg-info stored in a "development checkout" (e.g, created by running setup.py develop).}

Summary:       Query metadata from sdists / bdists / installed packages
Name:          python-%{srcname}
Version:       1.9.6
Release:       1%{?dist}
License:       MIT
URL:           https://pypi.python.org/pypi/%{srcname}
Source0:       %{pypi_source}

BuildRequires: python3-devel python3-setuptools python3dist(pytest) python3dist(sphinx) python3dist(wheel)

BuildArch:     noarch

%description %{common_description}

%package -n python3-%{srcname}
Summary:        Query metadata from sdists / bdists / installed packages
Requires:       python3-setuptools

%description -n python3-%{srcname} %{common_description}

%prep
%autosetup -n %{srcname}-%{version} -p1

# don't ship internal test subpackage
sed -i "s/, 'pkginfo.tests'//g" setup.py

rm -rf %{srcname}.egg-info

%build
%py3_build
rm -rf html/.{doctrees,buildinfo}

%install
%py3_install

%check
%pytest

%files -n python3-%{srcname}
%license LICENSE.txt
%doc README.txt CHANGES.txt
%{_bindir}/pkginfo
%{python3_sitelib}/%{srcname}/
%{python3_sitelib}/%{srcname}-%{version}-py%{python3_version}.egg-info/

%changelog
* Tue Sep 26 2023 Shuo Wang <abushwang@tencent.com> - 1.9.6-1
- update to 1.9.6

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.9.2-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 1.9.2-1
- initial build
